Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.registry
Interface LifeCycleManager

All Known Subinterfaces:
  BusinessLifeCycleManager

public interface LifeCycleManager

The LifeCycleManager interface is the main interface in the API for managing life cycle operations on objects defined by the information model.

The factory methods of this interface must throw an UnsupportedCapabilityException if the client attempts to create an instance of an infomodel interface that is not supported by the capability level of the JAXR provider.

Author:
  Farrukh S. Najmi

Field Summary
`static java.lang.String` | `ASSOCIATION`
`static java.lang.String` | `AUDITABLE_EVENT`
`static java.lang.String` | `CLASSIFICATION`
`static java.lang.String` | `CLASSIFICATION_SCHEME`
`static java.lang.String` | `CONCEPT`
`static java.lang.String` | `EMAIL_ADDRESS`
`static java.lang.String` | `EXTERNAL_IDENTIFIER`
`static java.lang.String` | `EXTERNAL_LINK`
`static java.lang.String` | `EXTRINSIC_OBJECT`
`static java.lang.String` | `INTERNATIONAL_STRING`
`static java.lang.String` | `KEY`
`static java.lang.String` | `LOCALIZED_STRING`
`static java.lang.String` | `ORGANIZATION`
`static java.lang.String` | `PERSON_NAME`
`static java.lang.String` | `POSTAL_ADDRESS`
`static java.lang.String` | `REGISTRY_ENTRY`
`static java.lang.String` | `REGISTRY_PACKAGE`
`static java.lang.String` | `SERVICE`
`static java.lang.String` | `SERVICE_BINDING`
`static java.lang.String` | `SLOT`
`static java.lang.String` | `SPECIFICATION_LINK`
`static java.lang.String` | `TELEPHONE_NUMBER`
`static java.lang.String` | `USER`
`static java.lang.String` | `VERSIONABLE`

Method Summary
`Association` | `createAssociation(RegistryObject targetObject, Concept associationType)` Creates an Association instance using the specified parameters.
`Classification` | `createClassification(ClassificationScheme scheme, InternationalString name, java.lang.String value)` Creates a Classification instance for an external Classification using the specified InternationalString name and String value that identify a taxonomy element within the specified ClassificationScheme.
`Classification` | `createClassification(ClassificationScheme scheme, java.lang.String name, java.lang.String value)` Creates a Classification instance for an external Classification using the specified String name and String value that identify a taxonomy element within the specified ClassificationScheme.
`Classification` | `createClassification(Concept concept)` Creates a Classification instance for an internal Classification using the specified Concept that identifies a taxonomy element within an internal ClassificationScheme.
`ClassificationScheme` | `createClassificationScheme(Concept concept)` Creates a ClassificationScheme from a Concept that has no ClassificationScheme or parent Concept.
`ClassificationScheme` | `createClassificationScheme(InternationalString name, InternationalString description)` Creates a ClassificationScheme given the specified InternationalString parameters.
`ClassificationScheme` | `createClassificationScheme(java.lang.String name, java.lang.String description)` Creates a ClassificationScheme given the specified String parameters.
`Concept` | `createConcept(RegistryObject parent, InternationalString name, java.lang.String value)` Creates a Concept instance using the specified parameters, where the name is an InternationalString.
`Concept` | `createConcept(RegistryObject parent, java.lang.String name, java.lang.String value)` Creates a Concept instance using the specified parameters, where the name is a String.
`EmailAddress` | `createEmailAddress(java.lang.String address)` Creates an EmailAddress instance using an address as the parameter.
`EmailAddress` | `createEmailAddress(java.lang.String address, java.lang.String type)` Creates an EmailAddress instance using both an address and a type as parameters.
`ExternalIdentifier` | `createExternalIdentifier(ClassificationScheme identificationScheme, InternationalString name, java.lang.String value)` Creates an ExternalIdentifier instance using the specified parameters, where the name is an InternationalString.
`ExternalIdentifier` | `createExternalIdentifier(ClassificationScheme identificationScheme, java.lang.String name, java.lang.String value)` Creates an ExternalIdentifier instance using the specified parameters, where the name is a String.
`ExternalLink` | `createExternalLink(java.lang.String externalURI, InternationalString description)` Creates an ExternalLink instance using the specified parameters, where the description is an InternationalString.
`ExternalLink` | `createExternalLink(java.lang.String externalURI, java.lang.String description)` Creates an ExternalLink instance using the specified parameters, where the description is a String.
`ExtrinsicObject` | `createExtrinsicObject(DataHandler repositoryItem)` Creates an ExtrinsicObject instance using the specified parameters.
`InternationalString` | `createInternationalString()` Creates an empty InternationalString instance.
`InternationalString` | `createInternationalString(java.util.Locale l, java.lang.String s)` Creates an InternationalString instance using the specified Locale and String parameters.
`InternationalString` | `createInternationalString(java.lang.String s)` Creates an InternationalString instance using a String parameter and the default Locale.
`Key` | `createKey(java.lang.String id)` Creates a Key instance from an ID.
`LocalizedString` | `createLocalizedString(java.util.Locale l, java.lang.String s)` Creates a LocalizedString instance using the specified Locale and String parameters.
`LocalizedString` | `createLocalizedString(java.util.Locale l, java.lang.String s, java.lang.String charSetName)` Creates a LocalizedString instance using the specified Locale, String, and character set parameters.
`java.lang.Object` | `createObject(java.lang.String interfaceName)` Creates instances of information model interfaces (factory method).
`Organization` | `createOrganization(InternationalString name)` Creates an Organization instance using the specified name, where the name is an InternationalString.
`Organization` | `createOrganization(java.lang.String name)` Creates an Organization instance using the specified name, where the name is a String.
`PersonName` | `createPersonName(java.lang.String fullName)` Creates a PersonName instance using the specified full name.
`PersonName` | `createPersonName(java.lang.String firstName, java.lang.String middleName, java.lang.String lastName)` Creates a PersonName instance using the specified first, middle, and last names.
`PostalAddress` | `createPostalAddress(java.lang.String streetNumber, java.lang.String street, java.lang.String city, java.lang.String stateOrProvince, java.lang.String country, java.lang.String postalCode, java.lang.String type)` Creates a PostalAddress instance using the specified parameters.
`RegistryPackage` | `createRegistryPackage(InternationalString name)` Creates a RegistryPackage instance using the specified name, where the name is an InternationalString.
`RegistryPackage` | `createRegistryPackage(java.lang.String name)` Creates a RegistryPackage instance using the specified name, where the name is a String.
`Service` | `createService(InternationalString name)` Creates a Service instance using the specified name, where the name is an InternationalString.
`Service` | `createService(java.lang.String name)` Creates a Service instance using the specified name, where the name is a String.
`ServiceBinding` | `createServiceBinding()` Creates an empty ServiceBinding instance.
`Slot` | `createSlot(java.lang.String name, java.util.Collection values, java.lang.String slotType)` Creates a Slot instance using the specified parameters, where the value is a Collection of Strings.
`Slot` | `createSlot(java.lang.String name, java.lang.String value, java.lang.String slotType)` Creates a Slot instance using the specified parameters, where the value is a String.
`SpecificationLink` | `createSpecificationLink()` Creates an empty SpecificationLink instance.
`TelephoneNumber` | `createTelephoneNumber()` Creates an empty TelephoneNumber instance.
`User` | `createUser()` Creates an empty User instance.
`BulkResponse` | `deleteObjects(java.util.Collection keys)` Deletes one or more previously submitted objects from the registry using the object keys.
`BulkResponse` | `deleteObjects(java.util.Collection keys, java.lang.String objectType)` Deletes one or more previously submitted objects from the registry using the object keys and a specified objectType attribute.
`BulkResponse` | `deprecateObjects(java.util.Collection keys)` Deprecates one or more previously submitted objects.
`RegistryService` | `getRegistryService()` Returns the parent RegistryService that created this object.
`BulkResponse` | `saveObjects(java.util.Collection objects)` Saves one or more Objects to the registry.
`BulkResponse` | `unDeprecateObjects(java.util.Collection keys)` Undeprecates one or more previously deprecated objects.

Field Detail

### ASSOCIATION

    public static final java.lang.String ASSOCIATION

See Also:
  Constant Field Values

### AUDITABLE_EVENT

    public static final java.lang.String AUDITABLE_EVENT

See Also:
  Constant Field Values

### CLASSIFICATION

    public static final java.lang.String CLASSIFICATION

See Also:
  Constant Field Values

### CLASSIFICATION_SCHEME

    public static final java.lang.String CLASSIFICATION_SCHEME

See Also:
  Constant Field Values

### CONCEPT

    public static final java.lang.String CONCEPT

See Also:
  Constant Field Values

### EMAIL_ADDRESS

    public static final java.lang.String EMAIL_ADDRESS

See Also:
  Constant Field Values

### EXTERNAL_IDENTIFIER

    public static final java.lang.String EXTERNAL_IDENTIFIER

See Also:
  Constant Field Values

### EXTERNAL_LINK

    public static final java.lang.String EXTERNAL_LINK

See Also:
  Constant Field Values

### EXTRINSIC_OBJECT

    public static final java.lang.String EXTRINSIC_OBJECT

See Also:
  Constant Field Values

### INTERNATIONAL_STRING

    public static final java.lang.String INTERNATIONAL_STRING

See Also:
  Constant Field Values

### KEY

    public static final java.lang.String KEY

See Also:
  Constant Field Values

### LOCALIZED_STRING

    public static final java.lang.String LOCALIZED_STRING

See Also:
  Constant Field Values

### ORGANIZATION

    public static final java.lang.String ORGANIZATION

See Also:
  Constant Field Values

### PERSON_NAME

    public static final java.lang.String PERSON_NAME

See Also:
  Constant Field Values

### POSTAL_ADDRESS

    public static final java.lang.String POSTAL_ADDRESS

See Also:
  Constant Field Values

### REGISTRY_ENTRY

    public static final java.lang.String REGISTRY_ENTRY

See Also:
  Constant Field Values

### REGISTRY_PACKAGE

    public static final java.lang.String REGISTRY_PACKAGE

See Also:
  Constant Field Values

### SERVICE

    public static final java.lang.String SERVICE

See Also:
  Constant Field Values

### SERVICE_BINDING

    public static final java.lang.String SERVICE_BINDING

See Also:
  Constant Field Values

### SLOT

    public static final java.lang.String SLOT

See Also:
  Constant Field Values

### SPECIFICATION_LINK

    public static final java.lang.String SPECIFICATION_LINK

See Also:
  Constant Field Values

### TELEPHONE_NUMBER

    public static final java.lang.String TELEPHONE_NUMBER

See Also:
  Constant Field Values

### USER

    public static final java.lang.String USER

See Also:
  Constant Field Values

### VERSIONABLE

    public static final java.lang.String VERSIONABLE

See Also:
  Constant Field Values

Method Detail

### createObject

    public java.lang.Object createObject(java.lang.String interfaceName)
                                  throws JAXRException,
                                         InvalidRequestException,
                                         UnsupportedCapabilityException

  Creates instances of information model interfaces (factory method). To create an Organization, use this method as follows:

       Organization org = (Organization)
          lifeCycleMgr.createObject(LifeCycleManager.ORGANIZATION);

  Capability Level: 0

  Parameters:
    `interfaceName` - the unqualified name of an interface in the javax.xml.registry.infomodel package
  Returns:
    an Object that can then be cast to an instance of the interface
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error
    `InvalidRequestException` - if the interface is not an interface in the javax.xml.registry.infomodel package
    `UnsupportedCapabilityException` - if the client attempts to create an instance of an infomodel interface that is not supported by the capability level of the JAXR provider

### createAssociation

    public Association createAssociation(RegistryObject targetObject,
                                         Concept associationType)
                                  throws JAXRException

  Creates an Association instance using the specified parameters. The sourceObject is left null and will be set when the Association is added to a RegistryObject.

  Note that for a UDDI provider an Association may only be created between Organizations.

  Capability Level: 0

  Parameters:
    `targetObject` - the target RegistryObject for the association
    `associationType` - the association type for the Association
  Returns:
    the Association instance created
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### createClassification

    public Classification createClassification(ClassificationScheme scheme,
                                               java.lang.String name,
                                               java.lang.String value)
                                        throws JAXRException

  Creates a Classification instance for an external Classification using the specified String name and String value that identify a taxonomy element within the specified ClassificationScheme.

  Capability Level: 0

  Parameters:
    `scheme` - the ClassificationScheme to be used
    `name` - the name of the taxonomy element (a String)
    `value` - the value of the taxonomy element
  Returns:
    the Classification instance created
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### createClassification

    public Classification createClassification(ClassificationScheme scheme,
                                               InternationalString name,
                                               java.lang.String value)
                                        throws JAXRException

  Creates a Classification instance for an external Classification using the specified InternationalString name and String value that identify a taxonomy element within the specified ClassificationScheme.

  Capability Level: 0

  Parameters:
    `scheme` - the ClassificationScheme to be used
    `name` - the name of the taxonomy element (an InternationalString)
    `value` - the value of the taxonomy element
  Returns:
    the Classification instance created
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### createClassification

    public Classification createClassification(Concept concept)
                                        throws JAXRException,
                                               InvalidRequestException

  Creates a Classification instance for an internal Classification using the specified Concept that identifies a taxonomy element within an internal ClassificationScheme.

  Capability Level: 0

  Parameters:
    `concept` - the Concept that identifies the taxonomy element
  Returns:
    the Classification instance created
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error
    `InvalidRequestException` - if the Concept is not under a ClassificationScheme

### createClassificationScheme

    public ClassificationScheme createClassificationScheme(java.lang.String name,
                                                           java.lang.String description)
                                                    throws JAXRException,
                                                           InvalidRequestException

  Creates a ClassificationScheme given the specified String parameters.

  Capability Level: 0

  Parameters:
    `name` - the name of the ClassificationScheme (a String)
    `description` - a description of the ClassificationScheme (a String)
  Returns:
    the ClassificationScheme instance created
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error
    `InvalidRequestException`

### createClassificationScheme

    public ClassificationScheme createClassificationScheme(InternationalString name,
                                                           InternationalString description)
                                                    throws JAXRException,
                                                           InvalidRequestException

  Creates a ClassificationScheme given the specified InternationalString parameters.

  Capability Level: 0

  Parameters:
    `name` - the name of the ClassificationScheme (an InternationalString)
    `description` - a description of the ClassificationScheme (an InternationalString)
  Returns:
    the ClassificationScheme instance created
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error
    `InvalidRequestException`

### createClassificationScheme

    public ClassificationScheme createClassificationScheme(Concept concept)
                                                    throws JAXRException,
                                                           InvalidRequestException

  Creates a ClassificationScheme from a Concept that has no ClassificationScheme or parent Concept.

  This method is a special-case method to do a type-safe conversion from Concept to ClassificationScheme.

  This method is provided to allow for Concepts returned by the BusinessQueryManager findConcepts call to be safely cast to ClassificationScheme. It is up to the programmer to make sure that the Concept is indeed semantically a ClassificationScheme.

  This method is necessary because in the UDDI specification a tModel may serve multiple purposes, and there is no way to know when a tModel maps to a Concept and when it maps to a ClassificationScheme. The UDDI specification leaves the determination to the programmer, and consequently so does this method.

  Capability Level: 0

  Parameters:
    `concept` - the Concept to be used
  Returns:
    the ClassificationScheme instance created
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error
    `InvalidRequestException` - if the Concept has a parent Concept or is under a ClassificationScheme

### createConcept

    public Concept createConcept(RegistryObject parent,
                                 java.lang.String name,
                                 java.lang.String value)
                          throws JAXRException

  Creates a Concept instance using the specified parameters, where the name is a String.

  Capability Level: 0

  Parameters:
    `parent` - a reference either to a parent ClassificationScheme or to a Concept
    `name` - the name of the concept (a String)
    `value` - the value of the concept
  Returns:
    the Concept instance created
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### createConcept

    public Concept createConcept(RegistryObject parent,
                                 InternationalString name,
                                 java.lang.String value)
                          throws JAXRException

  Creates a Concept instance using the specified parameters, where the name is an InternationalString.

  Capability Level: 0

  Parameters:
    `parent` - a reference either to a parent ClassificationScheme or to a Concept
    `name` - the name of the concept (an InternationalString)
    `value` - the value of the concept
  Returns:
    the Concept instance created
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### createEmailAddress

    public EmailAddress createEmailAddress(java.lang.String address)
                                    throws JAXRException

  Creates an EmailAddress instance using an address as the parameter.

  Capability Level: 0

  Parameters:
    `address` - the email address
  Returns:
    the EmailAddress instance created
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### createEmailAddress

    public EmailAddress createEmailAddress(java.lang.String address,
                                           java.lang.String type)
                                    throws JAXRException

  Creates an EmailAddress instance using both an address and a type as parameters.

  Capability Level: 0

  Parameters:
    `address` - the email address
    `type` - the type of the address
  Returns:
    the EmailAddress instance created
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### createExternalIdentifier

    public ExternalIdentifier createExternalIdentifier(ClassificationScheme identificationScheme,
                                                       java.lang.String name,
                                                       java.lang.String value)
                                                throws JAXRException

  Creates an ExternalIdentifier instance using the specified parameters, where the name is a String.

  Capability Level: 0

  Parameters:
    `identificationScheme` - the ClassificationScheme used
    `name` - the name of the external identifier (a String)
    `value` - the value of the external identifier
  Returns:
    the ExternalIdentifier instance created
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### createExternalIdentifier

    public ExternalIdentifier createExternalIdentifier(ClassificationScheme identificationScheme,
                                                       InternationalString name,
                                                       java.lang.String value)
                                                throws JAXRException

  Creates an ExternalIdentifier instance using the specified parameters, where the name is an InternationalString.

  Capability Level: 0

  Parameters:
    `identificationScheme` - the ClassificationScheme used
    `name` - the name of the external identifier (an InternationalString)
    `value` - the value of the external identifier
  Returns:
    the ExternalIdentifier instance created
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### createExternalLink

    public ExternalLink createExternalLink(java.lang.String externalURI,
                                           java.lang.String description)
                                    throws JAXRException

  Creates an ExternalLink instance using the specified parameters, where the description is a String.

  Capability Level: 0

  Parameters:
    `externalURI` - the external URI
    `description` - a description of the link (a String)
  Returns:
    the ExternalLink instance created
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### createExternalLink

    public ExternalLink createExternalLink(java.lang.String externalURI,
                                           InternationalString description)
                                    throws JAXRException

  Creates an ExternalLink instance using the specified parameters, where the description is an InternationalString.

  Capability Level: 0

  Parameters:
    `externalURI` - the external URI
    `description` - a description of the link (an InternationalString)
  Returns:
    the ExternalLink instance created
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### createExtrinsicObject

    public ExtrinsicObject createExtrinsicObject(DataHandler repositoryItem)
                                          throws JAXRException

  Creates an ExtrinsicObject instance using the specified parameters.

  Capability Level: 1

  Parameters:
    `repositoryItem` - the DataHandler for the repository item. Must not be null.
  Returns:
    the ExtrinsicObject instance created
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### createInternationalString

    public InternationalString createInternationalString()
                                                  throws JAXRException

  Creates an empty InternationalString instance.

  Capability Level: 0

  Returns:
    the InternationalString instance created
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### createInternationalString

    public InternationalString createInternationalString(java.lang.String s)
                                                  throws JAXRException

  Creates an InternationalString instance using a String parameter and the default Locale.

  Capability Level: 0

  Parameters:
    `s` - the String from which to create the InternationalString
  Returns:
    the InternationalString instance created
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### createInternationalString

    public InternationalString createInternationalString(java.util.Locale l,
                                                         java.lang.String s)
                                                  throws JAXRException

  Creates an InternationalString instance using the specified Locale and String parameters.

  Capability Level: 0

  Parameters:
    `l` - the Locale in which to create the InternationalString
    `s` - the String from which to create the InternationalString
  Returns:
    the InternationalString instance created
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### createKey

    public Key createKey(java.lang.String id)
                  throws JAXRException

  Creates a Key instance from an ID.

  Capability Level: 0

  Parameters:
    `id` - the ID string from which to create the Key
  Returns:
    the Key instance created
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### createLocalizedString

    public LocalizedString createLocalizedString(java.util.Locale l,
                                                 java.lang.String s)
                                          throws JAXRException

  Creates a LocalizedString instance using the specified Locale and String parameters.

  Capability Level: 0

  Parameters:
    `l` - the Locale in which to create the LocalizedString
    `s` - the String from which to create the LocalizedString
  Returns:
    the LocalizedString instance created
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### createLocalizedString

    public LocalizedString createLocalizedString(java.util.Locale l,
                                                 java.lang.String s,
                                                 java.lang.String charSetName)
                                          throws JAXRException

  Creates a LocalizedString instance using the specified Locale, String, and character set parameters.

  Capability Level: 0

  Parameters:
    `l` - the Locale in which to create the LocalizedString
    `s` - the String from which to create the LocalizedString
    `charSetName` - the name of the character set to use
  Returns:
    the LocalizedString instance created
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### createOrganization

    public Organization createOrganization(java.lang.String name)
                                    throws JAXRException

  Creates an Organization instance using the specified name, where the name is a String.

  Capability Level: 0

  Parameters:
    `name` - the name of the Organization
  Returns:
    the Organization instance created
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### createOrganization

    public Organization createOrganization(InternationalString name)
                                    throws JAXRException

  Creates an Organization instance using the specified name, where the name is an InternationalString.

  Capability Level: 0

  Parameters:
    `name` - the name of the Organization
  Returns:
    the Organization instance created
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### createPersonName

    public PersonName createPersonName(java.lang.String firstName,
                                       java.lang.String middleName,
                                       java.lang.String lastName)
                                throws JAXRException

  Creates a PersonName instance using the specified first, middle, and last names.

  Capability Level: 1

  Parameters:
    `firstName` - the person's first name
    `middleName` - the person's middle name
    `lastName` - the person's last name
  Returns:
    the PersonName instance created
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### createPersonName

    public PersonName createPersonName(java.lang.String fullName)
                                throws JAXRException

  Creates a PersonName instance using the specified full name.

  Capability Level: 0

  Parameters:
    `fullName` - the person's full name
  Returns:
    the PersonName instance created
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### createPostalAddress

    public PostalAddress createPostalAddress(java.lang.String streetNumber,
                                             java.lang.String street,
                                             java.lang.String city,
                                             java.lang.String stateOrProvince,
                                             java.lang.String country,
                                             java.lang.String postalCode,
                                             java.lang.String type)
                                      throws JAXRException

  Creates a PostalAddress instance using the specified parameters.

  Capability Level: 0

  Parameters:
    `streetNumber` - the street number
    `street` - the street name
    `city` - the city name
    `stateOrProvince` - the state or province name
    `country` - the country name
    `postalCode` - the postal code (such as a US ZIP code)
    `type` - the type of the address
  Returns:
    the PostalAddress instance created
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### createRegistryPackage

    public RegistryPackage createRegistryPackage(java.lang.String name)
                                          throws JAXRException

  Creates a RegistryPackage instance using the specified name, where the name is a String.

  Capability Level: 1

  Parameters:
    `name` - the name of the registry package (a String)
  Returns:
    the RegistryPackage instance created
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### createRegistryPackage

    public RegistryPackage createRegistryPackage(InternationalString name)
                                          throws JAXRException

  Creates a RegistryPackage instance using the specified name, where the name is an InternationalString.

  Capability Level: 1

  Parameters:
    `name` - the name of the registry package (an InternationalString)
  Returns:
    the RegistryPackage instance created
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### createService

    public Service createService(java.lang.String name)
                          throws JAXRException

  Creates a Service instance using the specified name, where the name is a String.

  Capability Level: 0

  Parameters:
    `name` - the name of the Service (a String)
  Returns:
    the Service instance created
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### createService

    public Service createService(InternationalString name)
                          throws JAXRException

  Creates a Service instance using the specified name, where the name is an InternationalString.

  Capability Level: 0

  Parameters:
    `name` - the name of the Service (an InternationalString)
  Returns:
    the Service instance created
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### createServiceBinding

    public ServiceBinding createServiceBinding()
                                        throws JAXRException

  Creates an empty ServiceBinding instance.

  Capability Level: 0

  Returns:
    the ServiceBinding instance created
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### createSlot

    public Slot createSlot(java.lang.String name,
                           java.lang.String value,
                           java.lang.String slotType)
                    throws JAXRException

  Creates a Slot instance using the specified parameters, where the value is a String.

  Capability Level: 0

  Parameters:
    `name` - the name of the Slot
    `value` - the value (a String)
    `slotType` - the slot type
  Returns:
    the Slot instance created
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### createSlot

    public Slot createSlot(java.lang.String name,
                           java.util.Collection values,
                           java.lang.String slotType)
                    throws JAXRException

  Creates a Slot instance using the specified parameters, where the value is a Collection of Strings.

  Capability Level: 0

  Parameters:
    `name` - the name of the Slot
    `slotType` - the slot type
  Returns:
    the Slot instance created
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### createSpecificationLink

    public SpecificationLink createSpecificationLink()
                                              throws JAXRException

  Creates an empty SpecificationLink instance.

  Capability Level: 0

  Returns:
    the SpecificationLink instance created
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### createTelephoneNumber

    public TelephoneNumber createTelephoneNumber()
                                          throws JAXRException

  Creates an empty TelephoneNumber instance.

  Capability Level: 0

  Returns:
    the TelephoneNumber instance created
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### createUser

    public User createUser()
                    throws JAXRException

  Creates an empty User instance.

  Capability Level: 0

  Returns:
    the User instance created
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### saveObjects

    public BulkResponse saveObjects(java.util.Collection objects)
                             throws JAXRException

  Saves one or more Objects to the registry. An object may be a RegistryObject subclass instance.

  If an object is not in the registry, it is created in the registry. If it already exists in the registry and has been modified, then its state is updated (replaced) in the registry.

  Capability Level: 0

  Parameters:
    `objects` - a potentially heterogeneous Collection of RegistryObject instances
  Returns:
    a BulkResponse containing the Collection of keys for those objects that were saved successfully and any SaveException that was encountered in case of partial commit
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### deprecateObjects

    public BulkResponse deprecateObjects(java.util.Collection keys)
                                  throws JAXRException

  Deprecates one or more previously submitted objects. Deprecation marks an object as "soon to be deleted". Once an object is deprecated, the JAXR provider must not allow any new references (e.g. new Associations, Classifications and ExternalLinks) to that object to be submitted. If a client makes an API call that results in a new reference to a deprecated object, the JAXR provider must throw a java.lang.IllegalStateException within a JAXRException. However, existing references to a deprecated object continue to function normally.

  Capability Level: 1

  Parameters:
    `keys` - a Collection of keys for the objects to be deprecated
  Returns:
    a BulkResponse containing the Collection of keys for those objects that were deprecated successfully and any JAXRException that was encountered in case of partial commit
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### unDeprecateObjects

    public BulkResponse unDeprecateObjects(java.util.Collection keys)
                                    throws JAXRException

  Undeprecates one or more previously deprecated objects. If an object was not previously deprecated, it is not an error, and no exception is thrown. Once an object is undeprecated, the JAXR provider must again allow new references (e.g. new Associations, Classifications and ExternalLinks) to that object to be submitted.

  Capability Level: 1

  Parameters:
    `keys` - a Collection of keys for the objects to be undeprecated
  Returns:
    a BulkResponse containing the Collection of keys for those objects that were deprecated successfully and any JAXRException that was encountered in case of partial commit
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### deleteObjects

    public BulkResponse deleteObjects(java.util.Collection keys)
                               throws JAXRException

  Deletes one or more previously submitted objects from the registry using the object keys.

  Capability Level: 1

  Parameters:
    `keys` - a Collection of keys for the objects to be deleted
  Returns:
    a BulkResponse containing the Collection of keys for those objects that were deleted successfully and any DeleteException that was encountered in case of partial commit
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### deleteObjects

    public BulkResponse deleteObjects(java.util.Collection keys,
                                      java.lang.String objectType)
                               throws JAXRException

  Deletes one or more previously submitted objects from the registry using the object keys and a specified objectType attribute.

  Capability Level: 0

  Parameters:
    `keys` - a Collection of keys for the objects to be deleted
    `objectType` - the objectType attribute for the objects to be deleted
  Returns:
    a BulkResponse containing the Collection of keys for those objects that were deleted successfully and any DeleteException that was encountered in case of partial commit
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### getRegistryService

    public RegistryService getRegistryService()
                                       throws JAXRException

  Returns the parent RegistryService that created this object.

  Capability Level: 0

  Returns:
    the parent RegistryService
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.